easy_install

Benjamin Kaplan benjamin.kaplan at case.edu
Sun Feb 8 12:23:24 EST 2009


On Sun, Feb 8, 2009 at 12:18 PM, Colin J. Williams <cjw at ncf.ca> wrote:

> Diez B. Roggisch wrote:
>
>> hall.jeff at gmail.com wrote:
>>
>>  For the life of me I can not figure out how to get easy_install to
>>> work. The syntax displayed on the web page does not appear to work
>>> properly.
>>>
>>> easy_install c:\MySQL_python-1.2.2-py2.4-win32.egg
>>>
>>
>> It usually works for me - so what does "not appear to work properly"
>> actually mean?
>>
>> Diez
>>
>
> I updated my easy_install, used the scripts directory, dropped the "c:\"
> and it gave the response below for me:
>
> C:\Documents and Settings\cjw\Desktop>c:\Python25\scripts\easy_install
>  MySQL_python-1.2.2-py2.4-win32.egg
> Searching for MySQL-python-1.2.2-py2.4-win32.egg
> Reading http://pypi.python.org/simple/MySQL_python-1.2.2-py2.4-win32.egg/
> Reading http://pypi.python.org/simple/MySQL-python-1.2.2-py2.4-win32.egg/
> Couldn't find index page for 'MySQL_python-1.2.2-py2.4-win32.egg' (maybe
> misspelled?)
> Scanning index of all packages (this may take a while)
> Reading http://pypi.python.org/simple/
> No local packages or download links found for
> MySQL-python-1.2.2-py2.4-win32.egg
> error: Could not find suitable distribution for
> Requirement.parse('MySQL-python-1.2.2-py2.4-win32.egg')
>
> C:\Documents and Settings\cjw\Desktop>
>
> I hope that this is of some help.


the py2.4 part of the egg implies that it was compiled for Python 2.4. You
are trying to use Python 2.5. Try looking for
MySQL-python-1.2.2-py2.5-win32.egg instead.


>
>
> Colin W.
> --
> http://mail.python.org/mailman/listinfo/python-list
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mail.python.org/pipermail/python-list/attachments/20090208/0124d9cd/attachment.html>


More information about the Python-list mailing list